Bug 18719 - RH7.0 fails to install on Perc 3/DC if Perc 2/DC is present
RH7.0 fails to install on Perc 3/DC if Perc 2/DC is present
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-09 11:22 EDT by Tesfamariam Michael
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-27 13:01:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tesfamariam Michael 2000-10-09 11:22:30 EDT
When Perc3/DC and Perc2/DC are present on a system, RH installs on 
Perc2/DC. If the Perc2/DC was added with some logical volumes after 
installing on Perc3/DC, RH tries to boot of the Perc2/DC and the system 
hangs with the following message "VFS: Cannot open root device 08:06
Kernel panic: VFS: Unable to mount root fs on 08:06". The megaraid (v1.09) 
always insmod to Perc2/DC first. Slot assignment and cards BIOS 
Enabling/Disabling doesn't have any effect.
Comment 1 Matt Domsch 2000-10-09 16:39:17 EDT
This isn't really an installer issue, but a kernel issue, and fairly generic at 
that.  The question is, in what order should a device driver detect cards that 
it supports?  If you have disks on SCSI controllers such that you violate this 
order, your root and /boot file systems wind up in the wrong place, and you 
can't boot.

There needs to be a generic way to indicate to the kernel and various device 
drivers which controller the BIOS thinks is your boot device, and make sure 
that the right driver is loaded first, and that the right controller is 
detected first by that driver.  Volume labels help a lot, but don't handle the 
cases of root, /boot, and swap properly, /boot necessary for lilo.
Comment 2 Alan Cox 2000-10-27 13:01:38 EDT
I2O controllers actually let you ask them if they were the boot device (the
controller firmware  obviously knows this). We put the boot device first then
scan the others in PCI order.
Comment 3 Dale Kaisner 2001-07-20 17:39:21 EDT
Resolved in RH7.1

Note You need to log in before you can comment on or make changes to this bug.